LinuxQMISDK: GPSStateInfo Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
GPSStateInfo Struct Reference

## Data Fields
BYTE | EngineState
ULONG | ValidMask
ULONGLONG | Latitude
ULONGLONG | Longitude
ULONG | HorizontalUncertainty
ULONG | Altitude
ULONG | VerticalUncertainty
ULONG | TimeStmp_tow_ms
WORD | TimeStmp_gps_week
ULONG | Time_uncert_ms
BYTE | Iono_valid
ULONG | gps_ephemeris_sv_msk
ULONG | gps_almanac_sv_msk
ULONG | gps_health_sv_msk
ULONG | gps_visible_sv_msk
ULONG | glo_ephemeris_sv_msk
ULONG | glo_almanac_sv_msk
ULONG | glo_health_sv_msk
ULONG | glo_visible_sv_msk
ULONG | sbas_ephemeris_sv_msk
ULONG | sbas_almanac_sv_msk
ULONG | sbas_health_sv_msk
ULONG | sbas_visible_sv_msk
WORD | xtra_start_gps_week
WORD | xtra_start_gps_minutes
WORD | xtra_valid_duration_hours

## Detailed Description

GPS state Info.

Parameters

  EngineState | Values: 0 - OFF 1 - ON This field is always valid
  ValidMask | Mask of valid state information data. Values: 0x00000001 - Position(latitude/longitude/horizontal uncertainty) 0x00000002 - Altitude and vertical uncertainty 0x00000004 - Time ms 0x00000008 - Time week number 0x00000010 - Time uncertainty 0x00000020 - Iono validity 0x00000040 - GPS ephemeris 0x00000080 - GPS almanac 0x00000100 - GPS health 0x00000200 - GPS visible SVs 0x00000400 - GLONASS ephemeris 0x00000800 - GLONASS almanac 0x00001000 - GLONASS health 0x00002000 - GLONASS visible SVs 0x00004000 - SBAS ephemeris 0x00008000 - SBAS almanac 0x00010000 - SBAS health 0x00020000 - SBAS visible SVs 0x00040000 - XTRA information
  Latitude | Latitude position referenced to the WGS-84 reference ellipsoid, counting positive angles north of the equator and negative angles south of the equator. Units: Decimal degrees Range: -90 to +90 degrees. Value is in double float format (refer to IEEE Std 754-1985)
  Longitude | Longitude position referenced to the WGS-84 reference ellipsoid, counting positive angles east of the Greenwich Meridian and negative angles west of Greenwich meridian. Units: Decimal degrees Range: -180 to +180 degrees Value is in double float format (refer to IEEE Std 754-1985)
  HorizontalUncertainty | Circular horizontal uncertainty (in meters). The uncertainty is provided at 63 percent confidence. Value is in single float format (refer to IEEE Std 754-1985)
  Altitude | Height above the WGS-84 reference ellipsoid. Value conveys height (in meters) plus 500 m Range -500 to 15883 Value in single float format (refer to IEEE Std 754-1985)
  VerticalUncertainty | Vertical uncertainty (in meters). The uncertainty is provided at 68 percent confidence. Value in single float format (refer to IEEE Std 754-1985)
  TimeStmp_tow_ms | Time stamp in GPS time of week( in milliseconds)
  TimeStmp_gps_week | GPS week number
  Time_uncert_ms | Time uncertainty (in milliseconds). The uncertainty is provided at 99 percent confidence.
  Iono_valid | Iono validity. Values: 0 - Invalid 1 - Valid
  gps_ephemeris_sv_msk | GPS SV mask for ephemeris; if the bit is set, ephemeris for that SV is available.
  gps_almanac_sv_msk | GPS SV mask for almanac; if the bit is set, almanac for that SV is available.
  gps_health_sv_msk | GPS SV mask for health; if the bit is set, health for that SV is available.
  gps_visible_sv_msk | GPS SV mask for visible Svs; if the bit is set, the SV is available.
  glo_ephemeris_sv_msk | GLONASS SV mask for ephemeris; if the bit is set, ephemeris for that SV is available.
  glo_almanac_sv_msk | GLONASS SV mask for almanac; if the bit is set, almanac for that SV is available.
  glo_health_sv_msk | GLONASS SV mask for health; if the bit is set, health for that SV is available.
  glo_visible_sv_msk | GLONASS SV mask for visible SVs; if the bit is set, the SV is available.
  sbas_ephemeris_sv_msk | SBAS SV mask for ephemeris; if the bit is set, ephemeris for that SV is available.
  sbas_almanac_sv_msk | SBAS SV mask for almanac; if the bit is set, almanac for that SV is available.
  sbas_health_sv_msk | SBAS SV mask for health; if the bit is set, health for that SV is available.
  sbas_visible_sv_msk | SBAS SV mask for visible SVs; if the bit is set, the SV is available.
  xtra_start_gps_week | Current XTRA information is valid starting from this GPS week number
  xtra_start_gps_minutes | Current XTRA information is valid starting from the GPS minutes with the GPS week
  xtra_valid_duration_hours | XTRA information is valid for this many hours starting from the specified GPS week/minutes

## Field Documentation

ULONG GPSStateInfo::Altitude

BYTE GPSStateInfo::EngineState

ULONG GPSStateInfo::glo_almanac_sv_msk

ULONG GPSStateInfo::glo_ephemeris_sv_msk

ULONG GPSStateInfo::glo_health_sv_msk

ULONG GPSStateInfo::glo_visible_sv_msk

ULONG GPSStateInfo::gps_almanac_sv_msk

ULONG GPSStateInfo::gps_ephemeris_sv_msk

ULONG GPSStateInfo::gps_health_sv_msk

ULONG GPSStateInfo::gps_visible_sv_msk

ULONG GPSStateInfo::HorizontalUncertainty

BYTE GPSStateInfo::Iono_valid

ULONGLONG GPSStateInfo::Latitude

ULONGLONG GPSStateInfo::Longitude

ULONG GPSStateInfo::sbas_almanac_sv_msk

ULONG GPSStateInfo::sbas_ephemeris_sv_msk

ULONG GPSStateInfo::sbas_health_sv_msk

ULONG GPSStateInfo::sbas_visible_sv_msk

ULONG GPSStateInfo::Time_uncert_ms

WORD GPSStateInfo::TimeStmp_gps_week

ULONG GPSStateInfo::TimeStmp_tow_ms

ULONG GPSStateInfo::ValidMask

ULONG GPSStateInfo::VerticalUncertainty

WORD GPSStateInfo::xtra_start_gps_minutes

WORD GPSStateInfo::xtra_start_gps_week

WORD GPSStateInfo::xtra_valid_duration_hours